//---------------------------------------------------------------------------
#ifndef commH
#define commH
#include <cstring.h>
#include "OutputForm.h"
#include "GenereringsSpeUnit.h"
//---------------------------------------------------------------------------
class comm
{
public:
	void NulstilSpecifikation(char* Navn);
	void IndsaetISpecifikation(double t, char* Tekst, int nr);
    void OptaelLagteLektioner(int LL);
    void MeddelelseBox(char* tekst);
    void FejlBox(char* meddelelse, char* Overskrift = "En fejl er opstået!");
    bool AcceptBox(char* str, char* Overskrift = "Accept af handling!");
    friend void operator <<(const comm& obj, string str);
    friend void operator <<(const comm& obj, int tal);
private:

};
#endif
